SQL-инъекция в Calendarix Advanced

Дата публикации:
28.02.2009
Дата изменения:
28.02.2009
Всего просмотров:
2794
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Calendarix Advanced 1.x
Уязвимые версии: Calendarix Advanced 1.8.20081228, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "login" в сценариях cal_login.php и admin/cal_login.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.calendarix.com

Решение: Установите исправленную версию 1.8.20081228 от 12.02.2009 с сайта производителя.

или введите имя

CAPTCHA